<?xml version="1.0" encoding="utf-8"?>

<EM_INSTALLATION>
	
	<!-- Product details -->
	<EM_APPLICATION CUSTOM_APPL_INIT_CLASS="se.ericsson.cello.launchpad.LaunchPadTool"
		CUSTOM_APPL_NAME="Launchpad" CUSTOM_APPL_PROD_NO="CXC1725060/7"
		CUSTOM_APPL_REV="R15C"/>
	
	<!-- Launcher  reference -->
	<EM_LAUNCHER_SEE REF_NAME="launcher.jar" FILE_PATH="/cello/emas" FILE_NAME="CPPClientConfig.xml" />
	    
	    <!-- Loadmodules required by Launchpad -->
	<EM_APPLICATION_SEE REF_NAME="launchpad.jar" FILE_PATH="/cello/emas" FILE_NAME="CPPClientConfig.xml" />
	<EM_APPLICATION_SEE REF_NAME="ssu.jar" FILE_PATH="/cello/emas" FILE_NAME="CPPClientConfig.xml" /> 	

		<!-- Custom Superseding Parameters -->
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="SUPERSEDING_PARAMETER_LIST" 
	    VALUE="MANAGER_TITLE;XML_FILE;ALEX_INITIALIZER;HYPER_TOOL_KEYS;NEX_NAME;NEX_CONFIG;MOPROPERTIES_NAME;MOPROPERTIES_CONFIG;MOSEARCH_NAME;MOSEARCH_CONFIG;HELPSERVICE_NAME;HELPSERVICE_CONFIG;NODESERVICES_CONFIG;EMTRACELOG_CONFIG;TOOL_ICON;PREFERENCESERVICE_CONFIG"></CUSTOM_APPL_PARAMETERS>
   
     <!--  
       All hyperlinks listed here will supersede any identical hyperlinks in the default configuration file.
       The default hyperlinks are those specified in the tool's  xxx-cfg.cml file.
       Superseding takes place when that tool is launched from here, i.e. launchpad
     -->
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="MANAGER_TITLE" 
		VALUE="CPP Element Manager"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="XML_FILE" 
		VALUE="/cello/oe/xml/CelloMOM.xml"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="ALEX_INITIALIZER" 
		VALUE=""></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="HYPER_TOOL_KEYS" 
		VALUE="NEX;MOPROPERTIES;MOSEARCH"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="NEX_NAME"
		VALUE="NEX"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="NEX_CONFIG"
		VALUE="/cello/emas/nexcfg.xml"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="MOPROPERTIES_NAME" 
		VALUE="MO Properties"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="MOPROPERTIES_CONFIG"    
		VALUE="/cello/emas/mopropcfg.xml"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="MOSEARCH_NAME"
		VALUE="Search MO"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="MOSEARCH_CONFIG"    
		VALUE="/cello/emas/mosearchcfg.xml"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="HELPSERVICE_NAME" 	    
		VALUE="Help Service"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="HELPSERVICE_CONFIG" 	    
		VALUE="/cello/emas/helpservcfg.xml"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="NODESERVICES_CONFIG" 
		VALUE="/cello/emas/nodeservcfg.xml"></CUSTOM_APPL_PARAMETERS>
        <CUSTOM_APPL_PARAMETERS PARAMETERNAME="PREFERENCESERVICE_CONFIG" 
                VALUE="/cello/emas/userprefcfg.xml"></CUSTOM_APPL_PARAMETERS>		
	
	<!-- Tools to be started by Launchpad should be added here, below is an example of tools that will be launched, using this configuration. -->
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="TOOL_KEYS"
		VALUE="NEX;EMTRACELOG;MOSEARCH"/>
		
	<!-- Additional Custom Parameters needed for the example tools to launch -->
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="EMTRACELOG_CONFIG" 
	    VALUE="/cello/emas/emtracelogcfg.xml"></CUSTOM_APPL_PARAMETERS>
	<CUSTOM_APPL_PARAMETERS PARAMETERNAME="EMTRACELOG_NAME" 
	    VALUE="EM Trace Log"></CUSTOM_APPL_PARAMETERS>
	    
</EM_INSTALLATION>


